Skip to main content
GET
/
api
/
v1
/
activities
Retrieve all activities.
curl --request GET \
  --url https://{subdomain}.outseta.com/api/v1/activities \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.outseta.com/api/v1/activities"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.outseta.com/api/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "Uid": "string",
    "_objectType": "string",
    "Created": "string",
    "Updated": "string",
    "ActivityEventData": {},
    "Title": "string",
    "Description": "string",
    "ActivityData": "string",
    "ActivityDateTime": "string",
    "ActivityType": 10,
    "EntityType": 0,
    "EntityUid": "string"
  }
]

Authorizations

Authorization
string
header
required

Enter your access token (OAuth / JWT).

Query Parameters

criteria
object[] | null
ActivityType
string | null
EntityType
string | null
EntityUid
string | null

Response

Created
string<date-time>
required
read-only
Minimum string length: 1
Updated
string<date-time>
required
read-only
Minimum string length: 1
Uid
string | null
Maximum string length: 10
_objectType
string | null
ActivityEventData
unknown
Title
string | null
Maximum string length: 250
Description
string | null
ActivityData
string | null
ActivityDateTime
string<date-time>
ActivityType
enum<integer>

10 - Custom, 50 - Note, 51 - Email, 52 - PhoneCall, 53 - Meeting, 54 - Chat, 100 - AccountCreated, 101 - AccountUpdated, 102 - AccountAddPerson, 103 - AccountStageUpdated, 104 - AccountDeleted, 105 - AccountBillingInformationUpdated, 106 - AccountSubscriptionPlanUpdated, 107 - AccountSubscriptionPaymentCollected, 108 - AccountSubscriptionPaymentDeclined, 109 - AccountBillingInformationRequested, 110 - AccountBillingInvoiceEmailSent, 111 - AccountRemovePerson, 112 - AccountPaidSubscriptionCreated, 113 - AccountBillingInformationRemoved, 114 - AccountPrimaryPersonUpdated, 115 - AccountBillingInvoiceCreated, 116 - AccountSubscriptionStarted, 117 - AccountSubscriptionRenewalExtended, 118 - AccountSubscriptionAddOnsChanged, 119 - AccountSubscriptionCancellationRequested, 120 - AccountBillingInvoiceDeleted, 200 - PersonCreated, 201 - PersonUpdated, 202 - PersonDeleted, 203 - PersonLogin, 204 - PersonListSubscribed, 205 - PersonListUnsubscribed, 206 - PersonSegmentAdded, 207 - PersonSegmentRemoved, 208 - PersonEmailOpened, 209 - PersonEmailClicked, 210 - PersonEmailBounce, 211 - PersonEmailSpam, 212 - PersonSupportTicketCreated, 213 - PersonSupportTicketUpdated, 214 - PersonLeadFormSubmitted, 215 - PersonListConfirmed, 216 - PersonEmailSubscribed, 217 - PersonEmailUnsubscribed, 218 - PersonTemporaryPasswordSet, 219 - PersonSupportTicketClosed, 220 - PersonTwoFactorRecoveryCodesRegenerated, 300 - DealCreated, 301 - DealUpdated, 304 - DealDeleted, 305 - DealDueDate, 306 - TaskCreated, 307 - TaskUpdated, 400 - PlanCreated, 401 - PlanUpdated, 402 - AddOnCreated, 403 - AddOnUpdated, 500 - DiscordUserLinked, 501 - DiscordUserAddedToServer, 502 - DiscordUserRolesUpdated, 503 - DiscordUserRemovedFromServer

Available options:
10,
50,
51,
52,
53,
54,
100,
101,
102,
103,
104,
105,
106,
107,
108,
109,
110,
111,
112,
113,
114,
115,
116,
117,
118,
119,
120,
200,
201,
202,
203,
204,
205,
206,
207,
208,
209,
210,
211,
212,
213,
214,
215,
216,
217,
218,
219,
220,
300,
301,
304,
305,
306,
307,
400,
401,
402,
403,
500,
501,
502,
503
EntityType
enum<integer>

0 - None, 1 - Account, 2 - Person, 3 - Deal, 4 - Case, 5 - Invoice, 6 - EmailLog, 7 - Plan, 8 - DiscountCoupon, 9 - AddOn, 10 - Task, 11 - Segment, 12 - Broadcast

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
EntityUid
string | null
Example:
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Title": "string",
"Description": "string",
"ActivityData": "string",
"ActivityDateTime": "string",
"ActivityType": 10,
"EntityType": 0,
"EntityUid": "string"
}
]